## org.eclipse.datatools.modelbase.sql.tables
Interface BaseTable

All Superinterfaces:
  SQLObject, Table

All Known Subinterfaces:
  PersistentTable, TemporaryTable

All Known Implementing Classes:
  BaseTableImpl, PersistentTableImpl, TemporaryTableImpl

public interface BaseTable
extends Table

A representation of the model object 'Base Table'. Reference: 5WD-02-Foundation-2002-12 4.14 Tables

The following features are supported:

- `Constraints`
- `Referencing Foreign Keys`

See Also:
  `SQLTablesPackage.getBaseTable()`

Method Summary
`EList` `getConstraints()` Returns the value of the 'Constraints' containment reference list.
`java.util.List` `getForeignKeys()`
`PrimaryKey` `getPrimaryKey()`
`EList` `getReferencingForeignKeys()` Returns the value of the 'Referencing Foreign Keys' reference list.
`java.util.List` `getUniqueConstraints()`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getConstraints

    public EList getConstraints()

  Returns the value of the 'Constraints' containment reference list. The list contents are of type `TableConstraint`. It is bidirectional and its opposite is '`Base Table`'.

  If the meaning of the 'Constraints' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Constraints' containment reference list.
  See Also:
    `SQLTablesPackage.getBaseTable_Constraints()`, `TableConstraint.getBaseTable()`

### getReferencingForeignKeys

    public EList getReferencingForeignKeys()

  Returns the value of the 'Referencing Foreign Keys' reference list. The list contents are of type `ForeignKey`. It is bidirectional and its opposite is '`Referenced Table`'.

  If the meaning of the 'Referencing Foreign Keys' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referencing Foreign Keys' reference list.
  See Also:
    `SQLTablesPackage.getBaseTable_ReferencingForeignKeys()`, `ForeignKey.getReferencedTable()`

### getUniqueConstraints

    public java.util.List getUniqueConstraints()

### getForeignKeys

    public java.util.List getForeignKeys()

### getPrimaryKey

    public PrimaryKey getPrimaryKey()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.